package org.project.item.weapons;

import org.project.entity.Entity;
import org.project.item.Item;


public abstract class Weapon implements Item {
    private int damage;
    private int manaCost;
    private String name;
    private int price;

    public Weapon(int damage, int manaCost, String name, int price) {
        this.damage = damage;
        this.manaCost = manaCost;
        this.name = name;
        this.price = price;
    }

    @Override
    public void use(Entity target) {
        target.takeDamage(damage);
    }

    public int getDamage() {
        return damage;
    }

    public int getManaCost() {
        return manaCost;
    }
    @Override
    public String getName() {
        return name;
    }

    @Override
    public int getPrice() {
        return price;
    }
}
